Bug 924841 (CVE-2013-0346) - CVE-2013-0346 tomcat: World-readable log directory
Summary: CVE-2013-0346 tomcat: World-readable log directory
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2013-0346
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 924845
TreeView+ depends on / blocked
 
Reported: 2013-03-22 15:41 UTC by Jan Lieskovsky
Modified: 2019-09-29 13:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-02 00:36:52 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2013-03-22 15:41:03 UTC
Agostino Sarubbo reported on the oss-security mailing list [1] that, on Gentoo, Tomcat 7's log directory is world-accessible and the log files inside the directory are world-readable.  This could allow an unprivileged user to read the log files.

References:
[1] http://www.openwall.com/lists/oss-security/2013/02/22/15
[2] http://www.openwall.com/lists/oss-security/2013/02/23/5

Comment 1 Jan Lieskovsky 2013-03-22 15:42:54 UTC
This issue did NOT affect the versions of the tomcat package, as shipped with Fedora release of 17 and 18.

Comment 3 David Jorm 2013-09-02 00:36:52 UTC
Statement:

Red Hat does not regard this to be a security flaw. The tomcat log directory does not contain any sensitive information, and when sensitive information has been written to log files, this has been considered a security flaw in tomcat (e.g. CVE-2011-2204). This issue was reported to the Apache Tomcat project, and they have not considered it a flaw in any published security advisories.


Note You need to log in before you can comment on or make changes to this bug.